<?php

declare (strict_types = 1);

namespace App\Nova\Filters;

use Laravel\Nova\Filters\Filter;
use App\Models\Category;
use Laravel\Nova\Http\Requests\NovaRequest;

class ProductCategoryFilter extends Filter
{
    public function apply(NovaRequest $request, $query, $value)
    {
        return $query->whereHas('categories', function ($query) use ($value) {
            $query->where('category_id', $value);
        });
    }

    public function options(NovaRequest $request)
    {
        $categories = Category::all();
        return $categories->pluck('id', 'name')->all();
    }
}
